Summary:	ncurses mpd client inspired by ncmpc
Summary(pl.UTF-8):	klient mpd wzorowany na ncmpc
Name:		ncmpcpp
Version:	0.10.1
Release:	3
License:	GPL v2
Group:		Applications
Source0:	https://github.com/ncmpcpp/ncmpcpp/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2c90b825291c51bd7630b909daee7cd6
URL:		https://github.com/ncmpcpp/ncmpcpp
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake
BuildRequires:	boost-devel
BuildRequires:	curl-devel
BuildRequires:	fftw3-devel
BuildRequires:	gcc-c++ >= 6:4.6
BuildRequires:	libmpdclient-devel >= 2.8
BuildRequires:	libstdc++-devel >= 6:10
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	ncurses-ext-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ncmpcpp has UI very similar to ncmpc's one, but it provides new useful
features such as support for regular expressions in search engine,
extended song format, items filtering, last.fm support, ability to
sort playlist, local filesystem browser and other minor functions.

%description -l pl.UTF-8
Ncmpcpp posiada bardzo podobny interfejs użytkownika do tego znanego z
ncmpc, ale wspiera dodatkowo obsługę wyrażeń regularnych w wewnętrznej
wyszukiwarce, rozszerzony format piosenek, filtrowanie pozycji,
obsługę last.fm, umożliwia sortowanie playlisty, posiada przeglądarkę
plików lokalnych oraz inne drobne udogodnienia.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	BOOST_LIB_SUFFIX="" \
	--enable-clock \
	--enable-outputs \
	--enable-visualizer
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# clean up bogus docdir
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md COPYING doc/bindings doc/config
%attr(755,root,root) %{_bindir}/ncmpcpp
%{_mandir}/man1/ncmpcpp.1*
%changelog
* Tue Dec 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncmpcpp.git;a=log;h=master

* Tue Dec 24 2024 Jan Rękorajski <baggins@pld-linux.org> 06eeaa2
- boost 1.85 rebuild

* Sun Dec 15 2024 Jan Rękorajski <baggins@pld-linux.org> d0c5a53
- boost rebuild

* Thu Oct 24 2024 Jan Palus <atler@pld-linux.org> 3e4b93c
- up to 0.10.1

* Tue Sep 03 2024 Jan Palus <atler@pld-linux.org> c6abaca
- up to 0.10

* Tue Sep 03 2024 Jan Palus <atler@pld-linux.org> f5067b9
- -enable-unicode removed in 0.8 (always mandatory now)

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 7caa1ed
- icu+boost rebuild

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> 79ff6c0
- icu rebuild

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> bee9036
- boost+icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> a07e3d7
- boost/icu rebuild

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> c9191dd
- icu+boost rebuild

* Sun Jan 24 2021 Jan Palus <atler@pld-linux.org> 3edad00
- up to 0.9.2

* Wed Dec 23 2020 Jan Palus <atler@pld-linux.org> a33794a
- up to 0.9.1

* Sun Dec 20 2020 Jan Palus <atler@pld-linux.org> ea7490c
- up to 0.9

* Sun Dec 06 2020 Jan Palus <atler@pld-linux.org> 1321b53
- BR: ncurses-ext-devel

* Tue Jul 28 2020 Jan Palus <atler@pld-linux.org> c173f41
- release 6 (by relup.sh)

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> f02b7d9
- icu 67 rebuild
- release 5 (by relup.sh)

* Tue Jun 30 2020 Jan Palus <atler@pld-linux.org> edd8ca0
- upstream patch to fix build with gcc 10

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c8b174a
- release 4 (by relup.sh)

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 9844f32
- rebuild with boost 1.71
- release 3 (by relup.sh)

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> 1f6418b
- rel 2

